> For the complete documentation index, see [llms.txt](https://docs.gpmautomate.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gpmautomate.com/automate-zh/cao-zuo-zhi-nan/file-and-folder/move-rename-file.md).

# 移动/重命名文件

移动/重命名文件是一个多功能的操作，用于将一个文件从一个位置移动到另一个位置，或者在计算机硬盘的当前位置更改该文件的名称。

与复制文件不同，此操作将数据完全剪切到新位置（如果移动）或完全替换旧名称（如果重命名）。

#### 配置参数：

* 源文件：需要移动或重命名的源文件的绝对路径（例如：`D:\data\old_name.txt`）。
* 目标文件：目标文件的绝对路径，或者重命名后包含新文件名的路径（例如：`E:\backup\old_name.txt` 或 `D:\data\new_name.txt`）。

#### 实际示例：重命名文件

您刚刚下载了一张图片，并希望在上传到社交媒体之前将其重命名为一个有意义的名称，以避免重复。

* 源文件：`D:\downloads\image.jpg`
* 目标文件：`D:\downloads\avatar_profile_1.jpg`（保持目录不变，改变文件名）。
* 结果：文件 `image.jpg` 将消失，并被重命名为 `avatar_profile_1.jpg`。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.gpmautomate.com/automate-zh/cao-zuo-zhi-nan/file-and-folder/move-rename-file.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
